
Redmine - Feature #7360

Issue custom query: default query per instance, project and user

2011-01-18 15:51 - Mike Kokhanov

Status: Closed Start date: 2011-01-18

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 5.0.0   

Resolution: Fixed   

Description

It would be nice to be able to create a default custom query, so when I get to issue list of a project, I don't need to select my

preferable custom query from the list.

Related issues:

Related to Redmine - Feature #8479: Global default query Closed

Related to Redmine - Feature #5515: user select default issue query Closed 2010-05-12

Related to Redmine - Feature #4015: Make app settings overridable at project ... New 2009-10-10

Related to Redmine - Defect #13508: About default filter for assignee New

Related to Redmine - Feature #7659: Add the possibility to sort issues by las... Closed 2011-02-19

Related to Redmine - Feature #3967: Ability to define default columns to disp... Closed 2009-10-04

Related to Redmine - Defect #14753: Remember issue filter for each project Closed

Related to Redmine - Feature #35795: Settings for global and user default cus... Closed

Related to Redmine - Defect #36389: Filter parameters of Query string do not ... Closed

Related to Redmine - Patch #36503: Reduce extra queries in IssueQuery.default Closed

Related to Redmine - Defect #37603: Missing translation for label_default_que... Closed

Has duplicate Redmine - Feature #7999: Issue Custom Query: Default Query Closed 2011-01-18

Has duplicate Redmine - Feature #12689: Default query for every Project Closed

Has duplicate Redmine - Feature #7244: Default query per project Closed 2011-01-07

Has duplicate Redmine - Feature #16102: Default Filters for queries in a project Closed

Has duplicate Redmine - Feature #2829: Ability to set default search filter f... Closed 2009-02-24

Has duplicate Redmine - Feature #7993: Select Default Report (or Custom Repor... Closed 2011-03-25

Has duplicate Redmine - Feature #9279: How to Apply custom queries for issues... Closed 2011-09-19

Has duplicate Redmine - Feature #22156: Is there a way to set the filter stat... Closed

Has duplicate Redmine - Feature #16249: Configure columns per project Closed

Has duplicate Redmine - Feature #15566: Setup a default issue report for each... Closed

Has duplicate Redmine - Feature #27128: Ability to choose default sort by col... Closed

Has duplicate Redmine - Feature #36198: Set standard columns in the ticket li... Closed

Has duplicate Redmine - Defect #39041: Default Tickets View Closed

Associated revisions

Revision 21061 - 2021-07-06 08:01 - Go MAEDA

Default issue query (#7360).

Patch by Katsuya HIDAKA (the author of https://github.com/hidakatsuya/redmine_default_custom_query), Takenori TAKAKI, Olivier Chabert, and

Jens Krämer.

Revision 21063 - 2021-07-06 08:23 - Go MAEDA

Update locales (#7360).

Revision 21134 - 2021-08-04 14:48 - Go MAEDA

Avoid executing the same SQL statement multiple times to get the default custom query (#7360).

Revision 21280 - 2021-11-15 22:13 - Marius BĂLTEANU
Migrate setting_default_issue_query locale key to label_default_query (#7360).

Revision 21387 - 2022-01-23 12:55 - Go MAEDA

Reduce extra database queries in IssueQuery.default (#7360, #36503).

Revision 21480 - 2022-03-20 22:38 - Marius BĂLTEANU

Do not fire a query to get user default query when user has no default query set (#36503).

Patch by Dmitry Makurin.

Revision 21481 - 2022-03-20 22:49 - Marius BĂLTEANU

Only check for set_filter param when retriving the default query (#7360, 35795, #36389).

History

#1 - 2011-02-07 21:27 - James Holle

+1 This would be great!

#2 - 2011-03-25 16:36 - Robin McKenzie

+1 definitely, been wanting this for ages!  Ideally each user would be able to determine their own custom query for each project, rather than it being a

project-level setting.

#3 - 2011-03-26 06:08 - Mike Kokhanov

- Assignee set to Azamat Hackimov

#4 - 2011-03-26 13:12 - Etienne Massip

- Assignee deleted (Azamat Hackimov)

#5 - 2011-04-14 15:17 - Vincent Frédérick

+1 Indeed would be nice for a user to set is default query for a given project. So a user could create a query to see only his tickets or the ticket related

to a version he is currently working on. In fact he can already do all of this. Only thing missing is to automatically have that list query displayed when

he clicks on "Issues".

#6 - 2011-05-19 08:47 - pasquale [:dedalus]

+1 very important

#7 - 2011-11-22 20:00 - Adam Soltys

+1

And, if the query is a public query, then you should have the option of specifying whether it's the default for everyone or just your own personal

default.

#8 - 2012-02-17 19:46 - Victor Freitas

+1 Very important

#9 - 2012-06-07 19:57 - Keven Marin

+1 for that feature that we should not forget.

#10 - 2013-01-17 09:26 - Chinh Do

+1 Super important

#11 - 2013-03-16 18:27 - Rafael B.

+1

Reducing just one click seems like such a waste of coding time, but clicking a couple of hundred times every week twice as much is such a waste of

effort. This would be a huge usability improvement.

#12 - 2013-04-08 03:34 - kangbo kimk

+1 Very much important. One must click his favorite issus pages when new html page open. It takes a lot of time from many users by redoing that.

2025-05-17 2/14



#13 - 2013-04-28 15:39 - Matthieu Poncin

+1 And if the query is public, it would be usefull to have an option to put the query default for every users.

#14 - 2013-10-09 10:43 - Miodrag Milic

+1

#15 - 2013-11-03 03:43 - Kent Ou

+1 I'm going to do that myself

#16 - 2013-11-18 20:31 - Maxim Krušina

+1

#17 - 2013-12-12 11:16 - Pierre de LESPINAY

+1

#18 - 2013-12-12 15:26 - Daniel Felix

Yes this could be quite useful. I have some projects which needs a special filter or a special column display (due to some custom fields) to get

displayed correct. If there would be a default view, for each user in each project or a default project with the new role wide filters, this would be great.

#19 - 2014-02-07 16:53 - Massimo Rossello

+1

#20 - 2014-02-18 09:28 - Richard Gunn

+1

#21 - 2014-03-31 12:10 - Tim Craig

+1 Important everyone views important information on issues list without having to select custom query every time.

#22 - 2014-05-06 09:16 - Enmos Proje

+1

Each time we open the tasks list, every one of us has to rearrange the list before starting to use it. We have custom queries but you forget to select

them. This feature would save a huge amount of time and bad language :)

#23 - 2014-06-30 17:22 - Roberto Viola

+1

#24 - 2014-07-15 14:45 - Florian Kaiser

+1

That would save me a lot of time.

#25 - 2014-08-11 04:32 - Katsuya HIDAKA

+1

I also hope strongly that this feature is implemented. So, i made the redmine_default_custom_query plugin as an alternative.

#26 - 2014-08-11 06:06 - Lajish Lakshmanan

Takanori2 hidaka Katsuya,

+1

#27 - 2014-08-11 09:21 - Florian Kaiser

Hidaka Katsuya wrote:

+1

I also hope strongly that this feature is implemented. So, I made the redmine_default_custom_query plugin as an alternative.

 Maybe you can send a patch file to the redmine developers so they can add it easily.

#28 - 2014-10-03 05:39 - Katsuya HIDAKA

Florian Kaiser wrote:
Maybe you can send a patch file to the redmine developers so they can add it easily.

 Yes, i'll try.

#29 - 2015-04-14 15:15 - Go MAEDA

- Has duplicate Feature #12689: Default query for every Project added

#30 - 2015-04-14 15:20 - Go MAEDA

- Has duplicate Feature #7244: Default query per project added

#31 - 2015-04-14 15:23 - Go MAEDA

- Related to Feature #5515: user select default issue query added

#32 - 2015-05-13 04:22 - Toshi MARUYAMA

- Related to Feature #4015: Make app settings overridable at project level added

#33 - 2015-12-02 12:25 - Sebastian Paluch

+1

This would really make everything more readable and would make life easier for our everyday users.

#34 - 2016-03-07 11:01 - Go MAEDA

- Related to Feature #22156: Is there a way to set the filter status to be “Any” by default? added

#35 - 2016-03-23 08:48 - Takenori TAKAKI

- File default_custom_query_trunk_r15273.patch added

I made a patch. It integrates Katsuya Hidaka's plugin (redmine_default_custom_query) to Redmine.

I do appreciate Katsuya Hidaka's work. and I would be happy if I could see the feature in Redmine 3.3.0.

this patch is compatibled with latest trunk r15273. and It also includes the test code.

#36 - 2016-04-07 08:44 - Takenori TAKAKI

- File default_custom_query_trunk_r15303.patch added

I have arranged my patch ( default_custom_query_trunk_r15273.patch ) for berow:

add 'default_query_id' to "Project(projects) "

change position of the 'default-query drop-down', to 'Information Tab'

remove permission & module "Manage default query"

improve code a little bit, and add tests

Compatible with latest trunk (r15303)

#37 - 2016-04-11 10:32 - Go MAEDA

- Target version set to 3.3.0

default_custom_query_trunk_r15303.patch works fine and passed all test.

This is a great feature. Many users hope for this feature (this issue have got 24 "+1"s and the original plugin redmine_default_custom_query written

by Katsuya HIDAKA have got 25 stars on GitHub).

It would be great if we could see this feature in the next release. Now I am setting target version to 3.3.0.

#38 - 2016-04-11 10:57 - Go MAEDA

- File default-query-settings.png added

- File default-query-list.png added

Screenshots of the patch, contributed by Katsuya HIDAKA and Takenori TAKAKI.
default-query-settings.png 
#39 - 2016-05-02 07:55 - Katsuya HIDAKA

+1 I'm creator of Default Custom Query plugin. I think that this patch (based on Default Custom Query plugin and written by Takenori Takaki) is one of

the best way for providing customization of default issues for each project. I hope that this feature is merged!!

#40 - 2016-05-07 09:48 - Jean-Philippe Lang

- Target version changed from 3.3.0 to 3.4.0

As requested above, we should provide different level of default query: per project (as implemented in the patch) but also by user. We should also be

able to provide default queries for the global issue list.

#41 - 2016-05-10 11:11 - Go MAEDA

- Has duplicate Feature #16102: Default Filters for queries in a project added

#42 - 2016-06-13 17:40 - Nils Grimm

+1, this would be wonderful.

#43 - 2016-08-16 09:39 - Anonymous

+1

#44 - 2016-08-29 03:31 - Go MAEDA

- Related to Defect #13508: About default filter for assignee added

#45 - 2016-09-21 15:27 - Luiz Moura

+1

#47 - 2016-12-24 07:36 - Go MAEDA

- Has duplicate Feature #2829: Ability to set default search filter for Issues added

#48 - 2016-12-25 09:30 - Go MAEDA

- Has duplicate Feature #7993: Select Default Report (or Custom Report quick links) added

#49 - 2017-01-06 08:56 - Florian Riedel

+1

#50 - 2017-01-11 16:48 - Go MAEDA

- Has duplicate Feature #9279: How to Apply custom queries for issues as default view for this project added

#51 - 2017-02-15 14:28 - Go MAEDA

- Related to Feature #7659: Add the possibility to sort issues by last_update date, by default added

#52 - 2017-02-26 20:36 - Stefan Lindner

+1

#53 - 2017-03-17 08:08 - Ilya Potapov

+1

#54 - 2017-03-18 16:29 - Toshi MARUYAMA

- Related to Feature #3967: Ability to define default columns to display based on project added

#55 - 2017-04-20 01:54 - Hirofumi Kadoya

+1　

#56 - 2017-06-17 09:59 - Jean-Philippe Lang

- Target version deleted (3.4.0)

#57 - 2017-06-18 14:12 - Mischa The Evil

- Target version set to Unplanned backlogs
Let's try to keep this on the roadmap; setting target to unplanned.

#58 - 2017-09-23 04:02 - Go MAEDA

- Related to Defect #14753: Remember issue filter for each project added

#59 - 2017-10-19 20:50 - Jules Bowie

+1

#60 - 2017-11-04 05:44 - Go MAEDA

- Related to Feature #27128: Ability to choose default sort by column for all projects added

#61 - 2017-12-07 08:09 - Ilya Prokazov

+1

#62 - 2017-12-27 16:19 - Toshi MARUYAMA

- Related to deleted (Feature #22156: Is there a way to set the filter status to be “Any” by default?)

#63 - 2017-12-27 16:19 - Toshi MARUYAMA

- Has duplicate Feature #22156: Is there a way to set the filter status to be “Any” by default? added

#64 - 2018-04-12 11:50 - Yar n

+1

#65 - 2018-06-26 09:46 - Mizuki ISHIKAWA

- File default_custom_trunk_r17417.patch added

+1

The patch of #7360#note-36 which was not working according to version upgrade was fixed to work on trunk.

I would like the continuation of work to realize this feature.

#66 - 2018-07-02 15:48 - Go MAEDA

- Has duplicate Feature #16249: Configure columns per project added

#67 - 2018-09-28 20:20 - Tim Fischbach

+1

#68 - 2019-02-04 18:38 - Marcel Müller

+1 !

Is there any reason this feature / patch got rejected? Would be really useful to have something like this... Maybe 4.1.0?!

#69 - 2019-02-14 20:30 - FX Deltombe

+1 !

#70 - 2019-03-06 15:52 - LEXO IT Services Switzerland

+1!

I hope that this feature will be release soon too. It's very annoying. It should be possible to define a global default filter and then save a dedicated filter

per project.

#71 - 2019-04-26 18:07 - Michael Barry

I would like to throw my +1 into the ring! This functionality would be super beneficial to have native to Redmine. Crossing my fingers for 4.1.0 (or

sooner!)...

#72 - 2019-09-30 11:51 - Ryoji Takeuchi

+1

Is this patch workable on 4.0.4 ? Because "redmine_default_custom_query" is conflict with DMSF. So I am seeking another solution with same

function.
#73 - 2019-10-08 09:18 - Simon Busse

+1

#74 - 2020-06-21 17:16 - Marcel Müller

I really would like to see this integrated in redmine by default. It was more or less accepted in https://www.redmine.org/issues/7360#note-40 - any

idea why its now on unplanned backlog?

#75 - 2020-06-22 02:08 - Go MAEDA

Marcel Müller wrote:

I really would like to see this integrated in redmine by default. It was more or less accepted in https://www.redmine.org/issues/7360#note-40 -

any idea why its now on unplanned backlog?

 The current patch was rejected by Jean-Philippe Lang in #7360#note-40 because of the lack of per-user default query and a default query for the

cross-project issues list.

To push this issue forward, someone needs to implement at least those features.

#76 - 2020-08-13 18:10 - Olivier Chabert

- File default_custom_trunk_r19977.patch added

Hi,

You can find an updated version of patch for this feature.

This patch work with last commit r19977 on trunk branch.

this patch provide also different level of default query (as requested on #7360#note-40):  * per project (as implemented in the original patch)  * per

user  * and in the global redmine settings for the global issue list

thank you for your reviews on this patch ;)

#77 - 2020-08-31 12:41 - Olivier Chabert

Hello,

Does anyone have time to review my patch ?

thanks ;)

#78 - 2020-11-19 09:30 - Ribald Drobens

+1, absolutely! Seeing all issues ordered by issue # per default is definitively suboptimal behaviour in my eyes.

#79 - 2021-03-25 06:11 - Jan Vonde

Oliver Cordero Chabert: Thanks for your effort. Can you confirm that the patch works with Redmine 4.1.2?

Michael Glyebov Kokhanov: Please can you review this patch, comment, or forward this to someone else for reviewing?

#80 - 2021-06-22 08:36 - Jens Krämer

- File 0001-implements-global-per-project-and-per-user-default-i.patch added

We're planning to introduce this feature in Planio , so I took the liberty to look over Olivier's patch (thank you for that!) and, among other things,

rebased it on current master.

Further, I added some tests and German translations, fixed any rubocop warnings, implemented copying of the default query assignment when

copying a project including queries, and changed the naming of preferences / fields to be consistently default_issue_query.

#81 - 2021-06-24 07:53 - Jan Vonde

Jens Priesen Krämer: Do you know anything I can do to get the patch into the main code?

#82 - 2021-07-03 10:45 - Go MAEDA

- Target version changed from Unplanned backlogs to 5.0.0

Setting the target version to 5.0.0.
#83 - 2021-07-04 18:00 - Marius BĂLTEANU

- File b.png added

- File a.png added

The patch looks good to me, nice work!

Only one thing, is not better to show the Default query field inside Issues list defaults section in admin? The settings are quite related:

Current proposal:

 a.png 

My proposal:

 b.png 

#84 - 2021-07-05 04:43 - Go MAEDA

- File 7360.patch added

Marius BALTEANU wrote:

Only one thing, is not better to show the Default query field inside Issues list defaults section in admin? The settings are quite related:

 +1

The setting "Default query" is exactly "Issue list defaults"!

I have updated the patch as such and changed the date of the migration file to the current date.

Although an earlier version of the patch contributed by Katsuya HIDAKA and Takenori TAKAKI was rejected by JPL 5 years ago (#7360#note-40), I

got approval from Jean-Philippe Lang to commit the latest patch the day before yesterday. I would like to commit the patch within the next few days.

#85 - 2021-07-06 08:38 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you to all those who contributed to this great feature, and special thanks to Katsuya HIDAKA, the author of Redmine

Default Custom Query.

Now you can set the default issue query per app/project/user. The project-level default query always overrides the app-level one, and the user-level

one always overrides the project-level and app-level ones.

You can configure default queries in the following places:

App-level: Administration > Issue tracking > Default Query

Project-level: Settings (project) > Issue tracking > Default issue query

User-level: My account > Default issue query

#86 - 2021-07-09 01:24 - Go MAEDA

- Has duplicate Feature #15566: Setup a default issue report for each project added

#87 - 2021-08-02 16:42 - Go MAEDA

- File fix-performance-when-rendering-sidebar.patch added

- Status changed from Closed to Reopened

The current code executes as many SQL statements as the number of queries displayed in the sidebar. It may cause a performance issue when

many custom queries are displayed in the sidebar.

The attached patch fixes the problem.

Before:

  IssueQuery Load (0.1ms)  SELECT "queries".* FROM "queries" WHERE "queries"."type" = ? AND "queries"."id" IS 

NULL LIMIT ?  [["type", "IssueQuery"], ["LIMIT", 1]]

  CACHE IssueQuery Load (0.0ms)  SELECT "queries".* FROM "queries" WHERE "queries"."type" = ? AND "queries"."i

d" = ? LIMIT ?  [["type", "IssueQuery"], ["id", 4], ["LIMIT", 1]]
  CACHE IssueQuery Load (0.0ms)  SELECT "queries".* FROM "queries" WHERE "queries"."type" = ? AND "queries"."i

d" IS NULL LIMIT ?  [["type", "IssueQuery"], ["LIMIT", 1]]

  CACHE IssueQuery Load (0.0ms)  SELECT "queries".* FROM "queries" WHERE "queries"."type" = ? AND "queries"."i

d" IS NULL LIMIT ?  [["type", "IssueQuery"], ["LIMIT", 1]]

  CACHE IssueQuery Load (0.0ms)  SELECT "queries".* FROM "queries" WHERE "queries"."type" = ? AND "queries"."i

d" IS NULL LIMIT ?  [["type", "IssueQuery"], ["LIMIT", 1]]

  CACHE IssueQuery Load (0.0ms)  SELECT "queries".* FROM "queries" WHERE "queries"."type" = ? AND "queries"."i

d" IS NULL LIMIT ?  [["type", "IssueQuery"], ["LIMIT", 1]]

  CACHE IssueQuery Load (0.0ms)  SELECT "queries".* FROM "queries" WHERE "queries"."type" = ? AND "queries"."i

d" IS NULL LIMIT ?  [["type", "IssueQuery"], ["LIMIT", 1]]

  CACHE IssueQuery Load (0.0ms)  SELECT "queries".* FROM "queries" WHERE "queries"."type" = ? AND "queries"."i

d" IS NULL LIMIT ?  [["type", "IssueQuery"], ["LIMIT", 1]]

  CACHE IssueQuery Load (0.0ms)  SELECT "queries".* FROM "queries" WHERE "queries"."type" = ? AND "queries"."i

d" IS NULL LIMIT ?  [["type", "IssueQuery"], ["LIMIT", 1]]

  CACHE IssueQuery Load (0.0ms)  SELECT "queries".* FROM "queries" WHERE "queries"."type" = ? AND "queries"."i

d" IS NULL LIMIT ?  [["type", "IssueQuery"], ["LIMIT", 1]]

  CACHE IssueQuery Load (0.0ms)  SELECT "queries".* FROM "queries" WHERE "queries"."type" = ? AND "queries"."i

d" IS NULL LIMIT ?  [["type", "IssueQuery"], ["LIMIT", 1]]

  CACHE IssueQuery Load (0.0ms)  SELECT "queries".* FROM "queries" WHERE "queries"."type" = ? AND "queries"."i

d" IS NULL LIMIT ?  [["type", "IssueQuery"], ["LIMIT", 1]]

  CACHE IssueQuery Load (0.0ms)  SELECT "queries".* FROM "queries" WHERE "queries"."type" = ? AND "queries"."i

d" IS NULL LIMIT ?  [["type", "IssueQuery"], ["LIMIT", 1]]

  CACHE IssueQuery Load (0.0ms)  SELECT "queries".* FROM "queries" WHERE "queries"."type" = ? AND "queries"."i

d" IS NULL LIMIT ?  [["type", "IssueQuery"], ["LIMIT", 1]]

  CACHE IssueQuery Load (0.0ms)  SELECT "queries".* FROM "queries" WHERE "queries"."type" = ? AND "queries"."i

d" IS NULL LIMIT ?  [["type", "IssueQuery"], ["LIMIT", 1]]

  CACHE IssueQuery Load (0.0ms)  SELECT "queries".* FROM "queries" WHERE "queries"."type" = ? AND "queries"."i

d" IS NULL LIMIT ?  [["type", "IssueQuery"], ["LIMIT", 1]]

  CACHE IssueQuery Load (0.0ms)  SELECT "queries".* FROM "queries" WHERE "queries"."type" = ? AND "queries"."i

d" IS NULL LIMIT ?  [["type", "IssueQuery"], ["LIMIT", 1]]

  CACHE IssueQuery Load (0.0ms)  SELECT "queries".* FROM "queries" WHERE "queries"."type" = ? AND "queries"."i

d" IS NULL LIMIT ?  [["type", "IssueQuery"], ["LIMIT", 1]]

  Rendered issues/_sidebar.html.erb (Duration: 33.7ms | Allocations: 5906)

 After:

  IssueQuery Load (0.1ms)  SELECT "queries".* FROM "queries" WHERE "queries"."type" = ? AND "queries"."id" IS 

NULL LIMIT ?  [["type", "IssueQuery"], ["LIMIT", 1]]

  CACHE IssueQuery Load (0.0ms)  SELECT "queries".* FROM "queries" WHERE "queries"."type" = ? AND "queries"."i

d" = ? LIMIT ?  [["type", "IssueQuery"], ["id", 4], ["LIMIT", 1]]

  CACHE IssueQuery Load (0.0ms)  SELECT "queries".* FROM "queries" WHERE "queries"."type" = ? AND "queries"."i

d" IS NULL LIMIT ?  [["type", "IssueQuery"], ["LIMIT", 1]]

  Rendered issues/_sidebar.html.erb (Duration: 18.3ms | Allocations: 3276)

#88 - 2021-08-03 04:26 - Go MAEDA

- File fix-performance-when-rendering-sidebar-v2.patch added

Go MAEDA wrote:

The current code executes as many SQL statements as the number of queries displayed in the sidebar. It may cause a performance issue when

many custom queries are displayed in the sidebar.

The attached patch fixes the problem.

 Attaching a simpler and more efficient version of the patch.

#89 - 2021-08-03 05:40 - Mischa The Evil

Go MAEDA wrote:

Attaching a simpler and more efficient version of the patch.

 FWIW, the following assignment:

default_query =

  default_query_by_class[query.class] ||

  default_query_by_class[query.class] = query.class.default(project: @project)

 can (possibly) be shortened to:
default_query =

  default_query_by_class[query.class] ||= query.class.default(project: @project)

 Ref. on StackOverflow.

#90 - 2021-08-04 14:51 - Go MAEDA

- Status changed from Reopened to Closed

Committed patch #7360#note-88 with the change suggested by Mischa The Evil in #7360#note-89.

#91 - 2021-08-22 04:23 - Mischa The Evil

- Related to Feature #35795: Settings for global and user default custom ProjectQuery added

#92 - 2021-11-05 20:49 - Marius BĂLTEANU

Before committing #35795, I would like to change the local setting_default_issue_query to setting_default_query in order to not add a new key

(setting_default_project_query) to locales with the same translation ("Default query").

Go Maeda, do you see any problem?

#93 - 2021-11-05 20:49 - Marius BĂLTEANU

- Status changed from Closed to Reopened

#94 - 2021-11-05 20:55 - Marius BĂLTEANU

- Related to deleted (Feature #27128: Ability to choose default sort by column for all projects)

#95 - 2021-11-05 20:55 - Marius BĂLTEANU

- Has duplicate Feature #27128: Ability to choose default sort by column for all projects added

#96 - 2021-11-11 10:09 - Go MAEDA

- Assignee changed from Go MAEDA to Marius BĂLTEANU

Marius BALTEANU wrote:

Before committing #35795, I would like to change the local setting_default_issue_query to setting_default_query in order to not add a new key

(setting_default_project_query) to locales with the same translation ("Default query").

Go Maeda, do you see any problem?

 I think there isn't any problem. And all existing translations for the key don't include a word corresponding to 'issue', so it is safe to simply change the

name of the key.

config/locales/bg.yml:  setting_default_issue_query: Заявка по подразбиране

config/locales/de.yml:  setting_default_issue_query: Standardabfrage

config/locales/fr.yml:  setting_default_issue_query: Rapport par défaut

config/locales/gl.yml:  setting_default_issue_query: Consulta por defecto

config/locales/ja.yml:  setting_default_issue_query: デフォルトのクエリ

config/locales/zh-TW.yml:  setting_default_issue_query: 預設查詢

#97 - 2021-11-15 22:15 - Marius BĂLTEANU

- Status changed from Reopened to Closed

- Assignee changed from Marius BĂLTEANU to Go MAEDA

Go MAEDA wrote:

I think there isn't any problem. And all existing translations for the key don't include a word corresponding to 'issue', so it is safe to simply change

the name of the key.

 Thanks, change committed.

#98 - 2021-11-15 23:04 - Marius BĂLTEANU

- Subject changed from Issue Custom Query: Default Query to Issue custom query: default query per instance, project and user
#99 - 2021-11-16 11:21 - Marius BĂLTEANU

- Has duplicate Feature #36198: Set standard columns in the ticket listing options based on projects added

#100 - 2022-01-07 17:18 - Marius BĂLTEANU

- Related to Defect #36389: Filter parameters of Query string do not work when default query is enabled added

#101 - 2022-01-22 09:37 - Marius BĂLTEANU

- Status changed from Closed to Reopened

I'm reopening this in order to validate the fix for the issue reported in #36389.

Jens Krämer, can you take a look, please?

#102 - 2022-01-23 12:24 - Go MAEDA

- Related to Patch #36503: Reduce extra queries in IssueQuery.default added

#103 - 2022-03-20 22:50 - Marius BĂLTEANU

- Status changed from Reopened to Closed

I've committed the fix.

#104 - 2022-08-25 10:20 - Holger Just

- Related to Defect #37603: Missing translation for label_default_queries.for_this_user added

#105 - 2023-09-11 14:06 - Holger Just

- Has duplicate Defect #39041: Default Tickets View added

#106 - 2024-01-26 18:33 - Dmitry Nekrasov

Can get default query working only on user level and on global level (all issues of all projects).

Selecting on default query project level does not work, even if public query is selected.

Environment:

Redmine version                5.1.1.stable

Ruby version                   2.7.4-p191 (2021-07-07) [x86_64-linux-gnu]

Rails version                  6.1.7.6

Environment                    production

Database adapter               Mysql2

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

Redmine settings:

Redmine theme                  Zenmine-510 (includes JavaScript)

SCM:

Git                            2.30.2

Filesystem

Redmine plugins:

additional_tags                3.0.9

additionals                    3.0.8

computed_custom_field          1.0.7

mega_calendar                  1.9.6

redmine_checklists             3.1.22

redmine_custom_workflows       2.0.8

redmine_image_clipboard_paste  3.3.0

redmine_impersonate            2.0.0

redmine_issue_dynamic_edit     0.8.1

redmine_issue_view_columns     1.0.1

redmine_issues_tree            0.0.15

redmine_mentions               0.0.1

redmine_messenger              1.0.15

redmine_wysiwyg_editor         0.32.0

redmine_x_lightbox2            1.0.0

#107 - 2024-04-17 10:39 - Dmitry Nekrasov

- File Снимок экрана 2024-04-17 в 11.32.47.PNG added

- File Снимок экрана 2024-04-17 в 11.32.34.PNG added
Redmine 5.1.1.stable — setting default query on project level is still broken: you can select public query in project settings, but it is not applied by

default on project ISSUES page.

#108 - 2024-04-28 08:20 - Marius BĂLTEANU

Dmitry Nekrasov wrote in #note-107:

Redmine 5.1.1.stable — setting default query on project level is still broken: you can select public query in project settings, but it is not applied by

default on project ISSUES page.

 There are no known issues with the default query feature and we have also automated tests. Most probably, your problem is generated by one of your

plugins. You should try without.

If the issue still persists without plugins, please open a new issue.

Files

default_custom_query_trunk_r15273.patch 35.4 KB 2016-03-23 Takenori TAKAKI

default_custom_query_trunk_r15303.patch 20.7 KB 2016-04-07 Takenori TAKAKI

default-query-settings.png 50.4 KB 2016-04-11 Go MAEDA

default-query-list.png 105 KB 2016-04-11 Go MAEDA

default_custom_trunk_r17417.patch 21.5 KB 2018-06-26 Mizuki ISHIKAWA

default_custom_trunk_r19977.patch 17.4 KB 2020-08-13 Olivier Chabert

0001-implements-global-per-project-and-per-user-default-i.patch 24.8 KB 2021-06-22 Jens Krämer

b.png 92.1 KB 2021-07-04 Marius BĂLTEANU

a.png 141 KB 2021-07-04 Marius BĂLTEANU

7360.patch 23.3 KB 2021-07-05 Go MAEDA

fix-performance-when-rendering-sidebar.patch 850 Bytes 2021-08-02 Go MAEDA

fix-performance-when-rendering-sidebar-v2.patch 889 Bytes 2021-08-03 Go MAEDA

Снимок экрана 2024-04-17 в 11.32.47.PNG 40.6 KB 2024-04-17 Dmitry Nekrasov

Снимок экрана 2024-04-17 в 11.32.34.PNG 108 KB 2024-04-17 Dmitry Nekrasov
